Bug 487981 - CUDA support missing
CUDA support missing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: boinc-client (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-01 19:34 EST by Edmond Hui
Modified: 2009-03-06 10:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-06 10:38:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edmond Hui 2009-03-01 19:34:58 EST
Description of problem:
In the lastest version, CUDA support is missing (require libcudart.so).

Version-Release number of selected component (if applicable):
boinc-client-6.4.5-2.20081217svn.fc9.x86_64

How reproducible:
100%

Steps to Reproduce:
1. start boinc /etc/init.d/boinc-client start
2. connect to core using boincmgr
3. observed "No CUDA device found" in message
  
Actual results:
message "No CUDA device found"

Expected results:
messgae "CUDA device found" and GPUGrid app is schedule and run

Additional info:
I was able to fix it with these steps:
1) copy libcudart.so from GPUGrid version of boinc-client to /var/log/boinc/
2) change BOINCUSER=root in /etc/init.d/boinc-client
Comment 1 Edmond Hui 2009-03-02 04:23:12 EST
Also one more step to make CUDA work:

3) put a kludge in /etc/init.d/boinc-client, just before starting boinc-client

        mknod -m 0666 /dev/nvidiactl c 195 255 &>/dev/null
        mknod -m 0666 /dev/nvidia0 c 195 0 &>/dev/null
Comment 2 Milos Jakubicek 2009-03-06 10:38:59 EST
I'm sorry, but Nvidia's CUDA (including the libcudart.so) is not open source and, as such, will never be part of Fedora -- I've just clarified this with Fedora Legal team members. However, I'll consider packaging CUDA in rpmfusion -- but that's another story.

Note You need to log in before you can comment on or make changes to this bug.